org.apache.nutch.indexer

## Class NutchIndexAction

- java.lang.Object
- - org.apache.nutch.indexer.NutchIndexAction

- All Implemented Interfaces:
    Writable

      public class NutchIndexAction
      extends Object
      implements Writable

  A `NutchIndexAction` is the new unit of indexing holding the document and action information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `action`
    `static byte` | `ADD`
    `static byte` | `DELETE`
    `NutchDocument` | `doc`
    `static byte` | `UPDATE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `NutchIndexAction()`
    `` | `NutchIndexAction(NutchDocument doc, byte action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFields(DataInput in)`
    `void` | `write(DataOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADD

          public static final byte ADD

      See Also:
        Constant Field Values

    - #### DELETE

          public static final byte DELETE

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final byte UPDATE

      See Also:
        Constant Field Values

    - #### doc

          public NutchDocument doc

    - #### action

          public byte action

  - ### Constructor Detail

    - #### NutchIndexAction

          protected NutchIndexAction()

    - #### NutchIndexAction

          public NutchIndexAction(NutchDocument doc,
                                  byte action)

  - ### Method Detail

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Specified by:
        `readFields` in interface `Writable`
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Specified by:
        `write` in interface `Writable`
      Throws:
        `IOException`

Copyright © 2020 The Apache Software Foundation